Herald
OpenapiBilling invoice

List_invoices

GET
/api/bill/{realmId}/invoices

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

realmId*string

Realm ID

Query Parameters

status?string|null
source?string|null
provider?string|null
search?string|null
dateFrom?|
Formatdate
dateTo?|
Formatdate
attribution?|

attribution=missing restricts the list to externally-synced invoices that have no local attribution (subscription_id/payment_attempt_id). Only the missing value is supported; any other value is ignored.

page?|
Formatint64
Range0 <= value
pageSize?|
Formatint64
Range0 <= value

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/bill/string/invoices"
{  "data": [    {      "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",      "amountRefunded": 0,      "billingName": "string",      "createdAt": "string",      "currency": "string",      "dueDate": "2019-08-24",      "externalHostedUrl": "string",      "externalInvoiceId": "string",      "externalPdfUrl": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "invoiceNumber": "string",      "paymentAttemptId": "5c39612f-9e19-4385-8bd3-bad144d722f6",      "paymentProvider": "string",      "provider": "string",      "source": "string",      "status": "string",      "subscriptionId": "d079718b-ff63-45dd-947b-4950c023750f",      "total": 0    }  ],  "page": 0,  "pageSize": 0,  "total": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}